
Foreman - Bug #12306

Puppet classes from Host Group are not populated when creating a new Host

10/26/2015 07:50 AM - Jitendra Yejare

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Description of problem:

Noticed that when I tried to create a new Host and selected my Host Group (which contains information about which puppet class to

include), the puppet class section was not automatically populated with the puppet class I had selected for my Host Group:

Version-Release number of selected component (if applicable):

foreman-1.11.0-0.develop.201510221551git1d0315e.el7.noarch

Steps to Reproduce:

1. Create a Host Group and add any puppet class to it

2. Create a new Host and use the Host Group created above

Actual results:

The puppet class added in Host Group is not automatically added to the new Host form.

Expected results:

The puppet class added in Host Group should be automatically added to the new Host form.

Note 1:

This bug has impact on 'Parameters' tab in New Host as the parameters in New Host page are displaying twice.

That is one from itself(by selecting puppet class while creating new host) and second from Host Group.

Note 2:

Also the referred downstream bug has been already closed with fix.

History

#1 - 10/26/2015 07:56 AM - Dominic Cleal

- Subject changed from  Puppet classes from Host Group are not populated when creating a new Host to Puppet classes from Host Group are not

populated when creating a new Host

- Status changed from New to Need more information

- translation missing: en.field_release deleted (71)

Can you show the Puppet classes tab, which is presumably where you're checking if it's associated?

Please also include production.log at debug level (http://theforeman.org/manuals/1.10/index.html#7.2Debugging) during the selection of the host

group.

Not sure how the double listing of class parameters is related, sounds like you're following different reproducer steps for that.

#2 - 10/26/2015 08:13 AM - Thomas McKay

- Bugzilla link deleted (1269229)

Seemingly related to https://bugzilla.redhat.com/show_bug.cgi?id=1269229
#3 - 02/29/2016 05:46 AM - Jitendra Yejare

- File puppetClass_TabFromHost.png added

- File puppet class selected in HG.png added

- File HG Selected in Hoat.png added

I see This issue is reproducible on the build of 26th Feb 2016.

I am attaching the screenshot here

#4 - 02/29/2016 06:00 AM - Dominic Cleal

Missing logs as mentioned above.  Also, please try reproducing on a Foreman-only installation, it changes that form and it's possible that the bug is

there (probably why I can't see it).

#5 - 05/17/2017 03:23 PM - Anonymous

- Status changed from Need more information to Rejected

no reaction, closing

Files

Impact on Parameters Tab.png 258 KB 10/26/2015 Jitendra Yejare

puppetClass_TabFromHost.png 148 KB 02/29/2016 Jitendra Yejare

puppet class selected in HG.png 154 KB 02/29/2016 Jitendra Yejare

HG Selected in Hoat.png 148 KB 02/29/2016 Jitendra Yejare
